{% extends "core/page.html" %}
{% load i18n breadcrumbs %}

{% block title %}
  {% translate 'Administration' %} - {% translate 'Users' %}
{% endblock %}

{% block page_title %}
  {% translate 'Users' %}
{% endblock %}

{% block page_menu %}
  <a class="btn btn-sm btn-outline-secondary" href="{% url 'user:add' %}"><i class="bi bi-plus-lg"></i></a>
{% endblock %}

{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb "Users" path=request.path %}
{% endblock %}

{% block content %}
  <div class="container-fluid">
    <div class="col-12">
      <div class="card">
        {# <div class="card-header">#}
        {#   <h3 class="card-title">People</h3>#}
        {# </div>#}
        <div class="list-group list-group-flush overflow-auto" style="max-height: 35rem">
          {% for user in user_list %}
            {% with user.last_name|first|upper as initial %}
              {% ifchanged initial %}
                <div class="list-group-header sticky-top">{{ initial }}</div>
              {% endifchanged %}
              <div class="list-group-item">
                <div class="row">
                  <div class="col-auto">
                    <a href="{% url 'user:detail' user.pk %}">
                      <span class="avatar" {% if user.avatar %}style="background-image: url({{ user.avatar.url }})"{% endif %}></span>
                    </a>
                  </div>
                  <div class="col text-truncate">
                    <a href="{% url 'user:update' user.pk %}" class="text-body d-block fs-2">
                      {{ user.last_name }}, {{ user.first_name }}{% if user.title %}, {{ user.title }}{% endif %}
                    </a>
                    <div class="text-muted text-truncate mt-n1">
                      <i class='bi bi-person'></i>
                      {{ user.username }}
                    </div>
                    <div class="text-muted text-truncate mt-n1" title="{% translate 'Tenant' %}">
                      <i class='bi bi-file-person'></i>
                      {{ user.tenant }}
                    </div>
                    <div class="text-muted text-truncate mt-n1">
                      <i class='bi bi-card-list'></i>
                      {{ user.job_title }}
                    </div>
                  </div>
                  <div class="col d-none d-md-block text-truncate">
                    <div class="text-muted text-truncate mt-n1">
                      <span class='fs-6'><i class="bi bi-envelope-at"></i></span>
                      {% if user.email %}
                        <a href="mailto:{{ user.email }}">{{ user.email }}</a>
                      {% else %}
                        ---
                      {% endif %}
                    </div>
                    <div class="text-muted text-truncate mt-n1">
                      <i class='bi bi-telephone'></i>
                      {% if user.phone %}
                        {{ user.phone }}
                      {% else %}
                        ---
                      {% endif %}
                    </div>                  </div>
                  <div class="col text-truncate">
                    <ul class='list-unstyled'>
                      {% for homepage in user.tenant.homepage_set.all %}
                        <li class='list'>{{ homepage.domain }}</li>
                      {% endfor %}
                    </ul>
                  </div>
                </div>
              </div>
            {% endwith %}
          {% endfor %}

        </div>
      </div>
    </div>
  </div>
{% endblock %}